com.amazon.redshift.core

## Class JdbcCallParseInfo

- java.lang.Object
- - com.amazon.redshift.core.JdbcCallParseInfo

    public class JdbcCallParseInfo
    extends Object

Contains parse flags from `Parser.modifyJdbcCall(String, boolean, int, int, EscapeSyntaxCallMode)`.

### Constructor Summary

Constructors
Constructor and Description
`JdbcCallParseInfo(String sql, boolean isFunction)`

### Method Summary

Methods
`String` `getSql()` SQL in a native for certain backend version.
`boolean` `isFunction()` Returns if given SQL is a function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcCallParseInfo

    public JdbcCallParseInfo(String sql,
                     boolean isFunction)

### Method Detail

#### getSql

    public String getSql()

SQL in a native for certain backend version.

Returns:
  SQL in a native for certain backend version

#### isFunction

    public boolean isFunction()

Returns if given SQL is a function.

Returns:
  `true` if given SQL is a function